For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
      • GETGet all a user's workspaces
      • POSTCreate a workspace
      • GETGet workspace
      • PATCHUpdate a workspace
      • GETGet the balance of a workspace
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceWorkspaces

Create a workspace

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/workspaces/
POST
/api/v1/workspaces/
$curl -X POST https://api.prolific.com/api/v1/workspaces/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "title": "My workspace using British Pounds",
> "currency_code": "GBP"
>}'
1{
2 "id": "62fce6fff0a78eb4f3ebc09c",
3 "title": "My workspace",
4 "description": "This workspace does...",
5 "owner": "60a42f4c693c29420793cb73",
6 "users": [
7 {
8 "id": "60a42f4c693c29420793cb73",
9 "name": "Joe Soap",
10 "email": "joe.soap@gmail.com",
11 "roles": [
12 "WORKSPACE_ADMIN"
13 ]
14 }
15 ],
16 "projects": [
17 {
18 "id": "60a42f4c693c29420793cb73",
19 "title": "string",
20 "type": "PRIVATE"
21 }
22 ],
23 "wallet": "61a65c06b084910b3f0c00d6"
24}
Creates a new workspace and adds the user as a Workspace Admin.
Was this page helpful?
Previous

Get all a user's workspaces

Next

Get workspace

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Request

This endpoint expects an object.
titlestringRequired
Name of workspace
currency_codestringOptional
Currency used for all transactions within the workspace. Must be GBP or USD.
naivety_distribution_ratedouble or nullOptional0-1Deprecated

Control the balance between speed of your studies and the naivety of the participants.

If not defined, by default Prolific calculates the best rate for most studies taking into account the filters and the total_available_places needed for this study.

Use 0 if your priority is speed. When this property is set to 0 all eligible participants will have access to your study at the same time, without any prioritization.

You can also set this at a project and study level.

Response

Created workspace
idstring
Workspace id. It is created by Prolific.
titlestring
Name of workspace
descriptionstring
What is this workspace used for
ownerstring
Workspace id. It is created by Prolific.
userslist of objects
Data for a user related to a workspace
projectslist of objects
Data for a project related to a workspace
walletstring
Wallet tied to workspace
naivety_distribution_ratedouble or null0-1Deprecated
The rate at which the studies within this workspace are distributed.

Errors

4XX
Client Request Error